
Redmine - Defect #39137

redmine with ruby 3.0 and up cannot be installed due to unsupported pg-1.2.3. Need to upgrade to at

least pg-1.3.x

2023-10-02 21:49 - Christopher Maximov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 5.0.6

Description

Installation on windows with ruby 3.0 and up is not possible.

The problem is pg-1.2.3, which with ruby 3.0 does not support "fat plugin with .dll".

This has been fixed in pg-1.3.0 (see https://github.com/ged/ruby-pg/issues/365#issuecomment-1019850780).

Moving to pg-1.3.x series enables again to easy install in windows environment with ruby 3.0 and 3.1, just as 2.7.8.

Currently redmine on windows cleanly installs only with ruby 2.7.8 :-(

Please upgrade dependent pg gem.

Thank you!

Related issues:

Is duplicate of Redmine - Patch #37525: Update Pg to 1.5 Closed

History

#1 - 2023-10-02 21:53 - Christopher Maximov

Oej... Sorry

Please close.

Only now i have noticed that upcoming redmine 5.1 will have pg 1.5 series...

Sorry!

#2 - 2023-10-03 00:01 - Holger Just

- Is duplicate of Patch #37525: Update Pg to 1.5 added

#3 - 2023-10-03 00:01 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

Closing in favour of #37525.
